<template>
    <el-dialog  v-dialogDrag
            :title="title"
            :visible.sync="centerDialogVisible"
            :modal="false"
            :close-on-click-modal="false"
             @close='closeDialog'
            center>
        <slot></slot>
    </el-dialog>
</template>
<script>

export default {
  name: 'Dialog',
  props: {
    title: {
      type: String,
      default: '标题'
    }
  },
  data () {
    return {
      centerDialogVisible: false
    }
  },
  methods: {
    show () {
      this.centerDialogVisible = true
    },
    closeDialog () {
      this.$emit('closeDialog')
    }
  }
}

</script>
<style lang="less">

</style>
